package com.herpro.databinding2.binding;

import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.Spinner;

import androidx.core.content.ContextCompat;
import androidx.core.widget.ImageViewCompat;
import androidx.databinding.BindingAdapter;

import com.bumptech.glide.Glide;
import com.herpro.databinding2.R;

import java.util.List;

public class BindingAdapters {

    @BindingAdapter("drawable")
    public static void loadLogo(ImageView imageView, Drawable drawable) {
        Glide.with(imageView).load(drawable).into(imageView);
    }

    @BindingAdapter("srcCompat")
    public static void setSrcCompat(ImageView imageView, boolean day) {
        imageView.setImageDrawable(day ?
                ContextCompat.getDrawable(imageView.getContext(), R.drawable.ic_day) :
                ContextCompat.getDrawable(imageView.getContext(), R.drawable.ic_night)
        );
    }

    @BindingAdapter("android:tint")
    public static void setTint(ImageView imageView, boolean day) {
        ImageViewCompat.setImageTintList(
                imageView,
                ColorStateList.valueOf(
                        day ?
                                ContextCompat.getColor(imageView.getContext(), R.color.day_color) :
                                ContextCompat.getColor(imageView.getContext(), R.color.night_color)
                ));
    }

    @BindingAdapter("android:entries")
    public static void setEntries(Spinner spinner, List<String> entries){
        ArrayAdapter<String> adapter = new ArrayAdapter<>(
                spinner.getContext(),
                android.R.layout.simple_spinner_item,
                entries
        );
        adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        spinner.setAdapter(adapter);
    }
}
