package com.herpro.databinding2.ui;

import android.os.Bundle;
import android.os.Handler;
import android.view.View;

import androidx.appcompat.app.AppCompatActivity;
import androidx.databinding.DataBindingUtil;

import com.herpro.databinding2.R;
import com.herpro.databinding2.databinding.ActivityMainBinding;

import java.util.ArrayList;
import java.util.Calendar;

public class MainActivity extends AppCompatActivity {

    private ActivityMainBinding mBinding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // vincular root del layout
        mBinding = DataBindingUtil.setContentView(this, R.layout.activity_main);

        // crear adaptador de spinner
        ArrayList<String> industryOptions = new ArrayList<>();
        industryOptions.add("Economía");
        industryOptions.add("Computación");
        industryOptions.add("Bienes raíces");
        industryOptions.add("Salud");

        // ligar variables
        mBinding.setDay(getHourOfDay());
        mBinding.setIndustryOptions(industryOptions);
        mBinding.setHandler(this);
        mBinding.setShow(true);
    }

    private boolean getHourOfDay() {
        // obtener hora del día
        Calendar c = Calendar.getInstance();
        int hourOfDay = c.get(Calendar.HOUR_OF_DAY);
        return hourOfDay > 0 && hourOfDay < 18;
    }

    public void signUp(View button) {
        mBinding.setShow(false);
        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {
                mBinding.setShow(true);
            }
        }, 3000);
    }
}
